

;*********** [ Blei-Akku-Lader fr 12 und 24 Volt ] *******************
;
;   File name   :  DEF.INC
;   AUTHOR      :  Hanno Grff
;   VERSION     :  1.1
;   DATE        :  Juli 2007
;
;   Compiler    :  Atmel AVR Assembler
;
;
;**********************************************************************


.equ	ADC_V_Channel			=0x41	; Battery Voltage Channel			 VBAT
										; 01000001 = 1<<REFS0 | 1<< MUX0	 ADC1


.equ	ADC_Diff_Channel		=0x4E	; ADC_diff_Channel					 IBAT/VBAT * 20
										; 01001110 = 1<<REFS0 |1<<	MUX1,2,3 ADC2/ADC1 * 20
																								

;PORTB
.equ PWM_PIN			= PINB1
.equ Taste1				= PINB3
.equ Taste2				= PINB4
.equ PIN_LCD_Enable		= PINB5
.equ PIN_LCD_RS			= PINB6


;PORTA
.equ PIN_LCD_D4			= PINA4
.equ PIN_LCD_D5			= PINA5
.equ PIN_LCD_D6			= PINA6
.equ PIN_LCD_D7			= PINA7



;************************* Register ********************************************************

.def	SREG_Storage			=r1		; Temporary Storage During Interrupts
.def	Zero					=r2		; 

.def	av_l					=r5		; Low Byte (ADC-Messung)
.def	av_h					=r6		; High Byte (ADC-Messung)

.def	i_charge_l				=r8
.def	i_charge_h				=r9		; Fast-Current
.def	fast_v_l				=r10	; Ladeschluspannung Low-Byte
.def	fast_v_h				=r11	; dito High-Byte
.def	trickle_v_l				=r12	; Erhaltungs-Ladespannung Low-byte
.def	trickle_v_h				=r13	; dito High-Byte

.def	UL						=r16	; Universalregister Low-Byte
.def	UH						=r17	; Universalregister High-Byte

.def	t_msec					=r18	; Milli-Sekundem
.def	t_sec					=r19	; Sekunden
.def	t_min					=r20	; Minuten


.def	AL						=r22	; 
.def	AH						=r23	; 
.def	BL						=r24	; 
.def	BH						=r25	; 
.def	CL						=r26	; 
.def	CH						=r27	; 


.def	Flag					=r28
.def	V_Flag					=r29
.def	Zl						=r30
.def	Zh						=r31

